{: test that constant expression error causes a compilation error }

program e1052( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

const
   {!!! boolean operand required}
   c1 = not(red);
   c2 = not red;
   c3 = true and red;
   c4 = false or red;
   c5 = red or true;
   c6 = red and false;

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1052 }

   e := black;
   n := 2;

   writeln( 'constant expression type error not detected' );
end. { e1052 }

